# ApiDisableNnHaArguments Data Model

Arguments used for Disable NameNode High Availability command.

Properties
name | data type | description
--- | --- | ---
activeNnName | string | Name of the NamdeNode role that is going to be active after High Availability is disabled.
snnHostId | string | Id of the host where the new SecondaryNameNode will be created.
snnCheckpointDirList | array of string | List of directories used for checkpointing by the new SecondaryNameNode.
snnName | string | Name of the new SecondaryNameNode role (Optional).

Example

    {
      "activeNnName" : "...",
      "snnHostId" : "...",
      "snnCheckpointDirList" : [ "...", "..." ],
      "snnName" : "..."
    }